#!/bin/bash

list=
if [ "x$COMPILE_UP_MYSQL" = "x1" ] ; then
  list="MYSQL LIBPNG APACHE CURL LIBXML PHP"
else  
  list="LIBPNG APACHE PHP"
fi

for d in $list ; do
  echo "    Running CASCADE-MAKE/$d.sh $*"

  ./CASCADE-MAKE/$d.sh $*

  if [ $? != 0 ] ; then
    echo "  Error encountered running CASCADE-MAKE/$d.sh"
    exit 1
  fi
done
